Skip to content

Update advertiser

This endpoint updates advertiser.

POST https://adelion.com/api/advertiser/update
ParameterTypeDescriptionRequirement
IdintAdvertiser ID.required
MailstringAdvertiser’s email.optional
NamestringAdvertiser’s name.optional
DescriptionstringAdvertiser’s description.optional
WebsitestringAdvertiser’s website.optional
CountrystringAdvertiser’s country. It must be a ISO-3166-1-alpha-2 country code. See Countries for a list of available countries.optional
CitystringAdvertiser’s city.optional
ZipCodestringAdvertiser’s zip code.optional
AddressstringAdvertiser’s address.optional
PhonestringAdvertiser’s phone.optional
MsgAppstringMessaging application: Teams, Telegram or WhatsApp.optional
MsgAccountstringMessaging account name on Messaging application.optional
JSON payload example
{
"Advertiser": {
"Id": 1,
"Mail": "advertiser@mail.com",
"Name": "Advertiser name",
"Description": "Advertiser desc",
"Website": "www.advertiser.com",
"Country": "US",
"City": "New York",
"ZipCode": "123456",
"Address": "123 Street",
"Phone": "+11111111111",
"MsgApp": "[msg_app]",
"MsgAccount": "[msg_account]"
}
}
Success JSON
{
"Status": "Ok",
"Advertiser": {
"Id": 1,
"TeamId": 1,
"Mail": "advertiser@mail.com",
"Name": "Advertiser name",
"Description": "Advertiser desc",
"Website": "www.advertiser.com",
"Country": "US",
"City": "New York",
"ZipCode": "123456",
"Address": "123 Street",
"Phone": "+11111111111",
"MsgApp": "[msg_app]",
"MsgAccount": "[msg_account]",
"Username": "advertiser1",
"StatsAuth": "7sdd23",
"StatsByDateCsv": "https://adelion.com/api/ortb/stats/advertiser/general?username=advertiser1&auth=7sdd23&date_from={date_from}&date_to={date_to}",
"StatsByDateJson": "https://adelion.com/api/ortb/stats/advertiser/general?username=advertiser1&auth=7sdd23&date_from={date_from}&date_to={date_to}&type=json",
"AccManagerId": 5,
"AccManagerName": "John Doe",
"Status": 0,
"StatusString": "Active",
"CampaignsCount": 1,
"DspRtbEpsCount": 1,
"DspVastTagsCount": 1,
"DspPopFeedsCount": 1
}
}
Error JSON
{
"Status": "Error",
"Error": "[error description]"
}
CodeStatusMeaning
400Bad RequestYou sent a body that isn’t JSON.
401UnauthorizedYour access token is invalid.
406Not AcceptableOne or more JSON values are missing or malformed, or the requested object was not found.
500Internal Server ErrorThe server encountered a problem. Try again later.